python-kafka_0.9.3-2_all.deb


Advertisement

Description

python-kafka - Pure Python client for Apache Kafka - Python 2.x

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-kafka
Package version: 0.9.3
Package release: 2
Package architecture: all
Package type: deb
Installed size: 201 B
Download size: 31.74 KB
Official Mirror: archive.ubuntu.com
This module provides low-level protocol support for Apache Kafka as well as high-level consumer and producer classes. Request batching is supported by the protocol as well as broker-aware request routing. Gzip and Snappy compression is also supported for message sets. This package contains the Python 2.x module.

Alternatives

    Download

    Source package: python-kafka

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-kafka deb package:
      # sudo apt-get install python-kafka

    Files

    • /usr/lib/python2.7/dist-packages/kafka/__init__.py
    • /usr/lib/python2.7/dist-packages/kafka/client.py
    • /usr/lib/python2.7/dist-packages/kafka/codec.py
    • /usr/lib/python2.7/dist-packages/kafka/common.py
    • /usr/lib/python2.7/dist-packages/kafka/conn.py
    • /usr/lib/python2.7/dist-packages/kafka/context.py
    • /usr/lib/python2.7/dist-packages/kafka/protocol.py
    • /usr/lib/python2.7/dist-packages/kafka/queue.py
    • /usr/lib/python2.7/dist-packages/kafka/util.py
    • /usr/lib/python2.7/dist-packages/kafka/consumer/__init__.py
    • /usr/lib/python2.7/dist-packages/kafka/consumer/base.py
    • /usr/lib/python2.7/dist-packages/kafka/consumer/kafka.py
    • /usr/lib/python2.7/dist-packages/kafka/consumer/multiprocess.py
    • /usr/lib/python2.7/dist-packages/kafka/consumer/simple.py
    • /usr/lib/python2.7/dist-packages/kafka/partitioner/__init__.py
    • /usr/lib/python2.7/dist-packages/kafka/partitioner/base.py
    • /usr/lib/python2.7/dist-packages/kafka/partitioner/hashed.py
    • /usr/lib/python2.7/dist-packages/kafka/partitioner/roundrobin.py
    • /usr/lib/python2.7/dist-packages/kafka/producer/__init__.py
    • /usr/lib/python2.7/dist-packages/kafka/producer/base.py
    • /usr/lib/python2.7/dist-packages/kafka/producer/keyed.py
    • /usr/lib/python2.7/dist-packages/kafka/producer/simple.py
    • /usr/lib/python2.7/dist-packages/kafka_python-0.9.3.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/kafka_python-0.9.3.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/kafka_python-0.9.3.egg-info/requires.txt
    • /usr/lib/python2.7/dist-packages/kafka_python-0.9.3.egg-info/top_level.txt
    • /usr/share/doc/python-kafka/changelog.Debian.gz
    • /usr/share/doc/python-kafka/copyright

    Changelog

    2015-02-17 - Thomas Goirand <zigo@debian.org> python-kafka (0.9.3-2) unstable; urgency=medium * Added missing python-mock build-deps. * Added PYTHONPATH=. when building sphinx doc.

    2015-02-17 - Thomas Goirand <zigo@debian.org> python-kafka (0.9.3-1) unstable; urgency=medium * Initial release. (Closes: #778619)

    Advertisement
    Advertisement